com.r3corda.demos.protocols / AutoOfferProtocol / AutoOfferMessage

# AutoOfferMessage

`data class AutoOfferMessage`

### Constructors

<init> | `AutoOfferMessage(otherSide: Party, notary: Party, otherSessionID: Long, dealBeingOffered: DealState)`

### Properties

dealBeingOffered | `val dealBeingOffered: DealState`
notary | `val notary: Party`
otherSessionID | `val otherSessionID: Long`
otherSide | `val otherSide: Party`